"use strict";
/** @format */
Object.defineProperty(exports, "__esModule", { value: true });
exports.transformText = void 0;
const qinjs_cli_shared_1 = require("@fe6/qinjs-cli-shared");
const compiler_core_1 = require("@vue/compiler-core");
const transformText = (node, _) => {
    if (!(0, qinjs_cli_shared_1.isElementNode)(node)) {
        return;
    }
    const dir = (0, compiler_core_1.findDir)(node, 'text');
    if (!dir) {
        return;
    }
    // remove v-text
    node.props.splice(node.props.indexOf(dir), 1);
    if (node.tagType !== 0 /* ElementTypes.ELEMENT */) {
        return;
    }
    node.isSelfClosing = false;
    node.children = [
        {
            type: 5 /* NodeTypes.INTERPOLATION */,
            loc: dir.exp.loc,
            content: dir.exp,
        },
    ];
};
exports.transformText = transformText;
